Uploaded image for project: 'IMPALA'
  1. IMPALA
  2. IMPALA-11569

Run finalize.sh in bin/jenkins/all-tests.sh even if dataload fails

    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • Impala 4.2.0
    • Impala 4.2.0
    • Infrastructure
    • None
    • ghx-label-6

    Description

      bin/jenkins/all-tests.sh (used for precommit Jenkins jobs) has "set -oeu pipefail" set, so if a command fails, it will exit. Currently, it sources bin/bootstrap_development.sh, so if that fails it will not run finalize.sh.

      source bin/bootstrap_development.sh
      ...
      RET_CODE=0
      if ! bin/run-all-tests.sh; then
        RET_CODE=1
      fi
      # Shutdown minicluster at the end
      testdata/bin/kill-all.sh
      bin/jenkins/finalize.sh
      exit $RET_CODE

      finalize.sh is useful for resolving minidumps and generating JUnitXML. bootstrap_development.sh runs dataload, so Impala could crash and finalize.sh wouldn't run. We should change it so that finalize.sh runs even if dataload fails.

      Attachments

        Activity

          People

            joemcdonnell Joe McDonnell
            joemcdonnell Joe McDonnell
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: